# eric6.E5Network.E5NetworkMonitor

Module implementing a network monitor dialog.

### Global Attributes

None

### Classes

E5NetworkMonitor | Class implementing a network monitor dialog.
E5NetworkRequest | Class for storing all data related to a specific request.
E5RequestModel | Class implementing a model storing request objects.

### Functions

None

## E5NetworkMonitor

Class implementing a network monitor dialog.

### Derived from

QDialog, Ui_E5NetworkMonitor

### Class Attributes

_monitor

### Class Methods

closeMonitor | Class method to close the monitor dialog.
instance | Class method to get a reference to our singleton.

### Methods

E5NetworkMonitor | Constructor
__currentChanged | Private slot to handle a change of the current index.
__showHeaderDetails | Private slot to show a dialog with the header details.
closeEvent | Protected method called upon closing the dialog.
reject | Public slot to close the dialog with a Reject status.

### Static Methods

None

#### E5NetworkMonitor.closeMonitor (class method)

closeMonitor()

Class method to close the monitor dialog.

#### E5NetworkMonitor.instance (class method)

instance(networkAccessManager)

Class method to get a reference to our singleton.

networkAccessManager
  reference to the network access manager (QNetworkAccessManager)

Returns:
  reference to the network monitor singleton (E5NetworkMonitor)

#### E5NetworkMonitor (Constructor)

E5NetworkMonitor(networkAccessManager, parent=None)

Constructor

networkAccessManager
  reference to the network access manager (QNetworkAccessManager)
parent
  reference to the parent widget (QWidget)

#### E5NetworkMonitor.__currentChanged

__currentChanged(current, previous)

Private slot to handle a change of the current index.

current
  new current index (QModelIndex)
previous
  old current index (QModelIndex)

#### E5NetworkMonitor.__showHeaderDetails

__showHeaderDetails(index)

Private slot to show a dialog with the header details.

index
  index of the entry to show (QModelIndex)

#### E5NetworkMonitor.closeEvent

closeEvent(evt)

Protected method called upon closing the dialog.

evt
  reference to the close event object (QCloseEvent)

#### E5NetworkMonitor.reject

reject()

Public slot to close the dialog with a Reject status.

Up

## E5NetworkRequest

Class for storing all data related to a specific request.

### Derived from

object

### Class Attributes

None

### Class Methods

None

### Methods

E5NetworkRequest | Constructor

### Static Methods

None

#### E5NetworkRequest (Constructor)

E5NetworkRequest()

Constructor

Up

## E5RequestModel

Class implementing a model storing request objects.

### Derived from

QAbstractTableModel

### Class Attributes

None

### Class Methods

None

### Methods

E5RequestModel | Constructor
__addReply | Private slot to add the reply data to the model.
__addRequest | Private method to add a request object to the model.
__requestCreated | Private slot handling the creation of a network request.
columnCount | Public method to get the number of columns of the model.
data | Public method to get data from the model.
headerData | Public method to get header data from the model.
removeRows | Public method to remove entries from the model.
rowCount | Public method to get the number of rows of the model.

### Static Methods

None

#### E5RequestModel (Constructor)

E5RequestModel(networkAccessManager, parent=None)

Constructor

networkAccessManager
  reference to the network access manager (QNetworkAccessManager)
parent
  reference to the parent object (QObject)

#### E5RequestModel.__addReply

__addReply()

Private slot to add the reply data to the model.

#### E5RequestModel.__addRequest

__addRequest(req)

Private method to add a request object to the model.

req
  reference to the request object (E5NetworkRequest)

#### E5RequestModel.__requestCreated

__requestCreated(operation, request, reply)

Private slot handling the creation of a network request.

operation
  network operation (QNetworkAccessManager.Operation)
request
  reference to the request object (QNetworkRequest)
reply
  reference to the reply object(QNetworkReply)

#### E5RequestModel.columnCount

columnCount(parent)

Public method to get the number of columns of the model.

parent
  parent index (QModelIndex)

Returns:
  number of columns (integer)

#### E5RequestModel.data

data(index, role=Qt.DisplayRole)

Public method to get data from the model.

index
  index to get data for (QModelIndex)
role
  role of the data to retrieve (integer)

Returns:
  requested data

#### E5RequestModel.headerData

headerData(section, orientation, role=Qt.DisplayRole)

Public method to get header data from the model.

section
  section number (integer)
orientation
  orientation (Qt.Orientation)
role
  role of the data to retrieve (integer)

Returns:
  requested data

#### E5RequestModel.removeRows

removeRows(row, count, parent)

Public method to remove entries from the model.

row
  start row (integer)
count
  number of rows to remove (integer)
parent
  parent index (QModelIndex)

Returns:
  flag indicating success (boolean)

#### E5RequestModel.rowCount

rowCount(parent)

Public method to get the number of rows of the model.

parent
  parent index (QModelIndex)

Returns:
  number of columns (integer)

Up